// TREE
// 元はX1-turbo用
// I/O ? p277
// 全機種対応

enum
	FNTSZ=16
endenum
str FONT="Migu-1M-Regular"
font(FONT,FNTSZ):// 先にフォントを設定してからwidth()を設定する
// 画面幅を得る
width(0)
int wx,wy
getWidth(wx,wy)
//
width(96):// テキスト文字フォントサイズを算出させる
vpriority(TPAGE,GPAGE0,GPAGE1,GPAGE2,GPAGE3)
vpage(B_TPAGE+B_GPAGE0)
apage(GPAGE0)
//bitmapOpen(0,0,YES)
print wx,wy

dim int X(4095),Y(4895)
//
// 2つの枝のなす角
float SI=pi(1.0/6.0):// pi(1/6)と記述すると1/6が整数演算で行われてしまう=0になるので注意
//print "SI=";SI
// それぞれの枝の成長率
float DL1=.7,DL2=.7
//
// 最初の枝
enum
	LEV=12:// 成長レベル(max=12)
endenum
// だいたい画面内に収まるように計算しているけど完璧ではない
int X1=wx/2
int Y1=wy
int X2=X1
int Y2=Y1-wy/7
//
int x,y,xx,yy
X(1)=X2:Y(1)=Y2
groth(X1,Y1,X2,Y2,1)
X(2)=xx:Y(2)=yy
X(3)=x :Y(3)=y

// Mainルーチン
int i,k
for i=2 to LEV
	for k=min(i) to max(i)
		groth(X(int(k/2)),Y(int(k/2)),X(k),Y(k),i)
		if i=LEV then continue
		int NN = min(i+1)+(k-min(i))*2
//		print NN,
 		X(NN  )=xx:Y(NN  )=yy
		X(NN+1)=x :Y(NN+1)=y
	next
next
end
//
// 成長ルーチン (x1,y1),(x2,y2)->(x,y),(xx,yy)
func groth(x1,y1,x2,y2,i;int)
	// MS系BASICにある^ ＝階乗演算子はX-BASICには存在しない。pow()関数を使うこと
	float ASIN,ACOS,BSIN,BCOS
	float R=sqr(pow((x2-x1),2)+pow((y2-y1),2))
	if (y2-y1)<>0 then ASIN=(y2-y1)/R else ASIN=0
	if (x2-x1)<>0 then ACOS=(x2-x1)/R else ACOS=0
	BSIN=sin(SI):BCOS=cos(SI)
	x =x2+(R*BCOS*ACOS-R*BSIN*ASIN)*DL1
	y =y2+(R*BCOS*ASIN+R*BSIN*ACOS)*DL1
	xx=x2+(R*BCOS*ACOS+R*BSIN*ASIN)*DL2
	yy=y2+(R*BCOS*ASIN-R*BSIN*ACOS)*DL2
	//print (x2-x1),(y2-y1),R,ASIN,ACOS,BSIN,BCOS,x,y,xx,yy
	//
	int C=(i mod 15)+1
	gColor16X68(C)
	line(x2,y2,x ,y )
	line(x2,y2,xx,yy)
endfunc

func min(i)
	return (pow(2,(i-1)))
endfunc

func max(i)
	return (min(i)*2-1)
endfunc
