// 自己平方根フラクタル図形描画 / Self square fractal drawing
// ビットマップ利用型 / bitmap use type
// fdirect=NO
// +タイル貼り付け / And tile paste
// +ビットマップ関数テスト / And bitmap functions test
// for v3.20 later

width(64)
int bx=128,by=128
switch deviceType()
	case DEVICE_IPODTOUCH: // iPod touch
	case DEVICE_IPHONE: // iPhone
	case DEVICE_IPHONE_SIMURATOR
//		print "deviceType=";deviceType()
		width(32,30)
		bx=0:by=0
//		hitKey(YES)
endswitch
//
vpriority(TPAGE,GPAGE0,GPAGE1,GPAGE2,GPAGE3)
vpage(B_TPAGE+B_GPAGE0+B_GPAGE1+B_GPAGE2+B_GPAGE3)
apage(GPAGE0)
//
int wx=512,wy=512
if YES then {://------------------------------------
bitmapOpen(wx,wy)
drawFractal(wx,wy,0)
bitmapImgLoad(bx,by,wx,wy):// ここのwx,wyはfloat変換される
bitmapClose()
//
hitKey(YES)
wipe()
wx=128
wy=128
dim int getAry(128*128)
//int size1
//int youso=sizeofArray(getAry,size1)
//print "要素数=";youso;"/1要素サイズ=";size1
bitmapOpen(wx,wy)
drawFractal(wx,wy,5)
bitmapTileImgLoad(bx,by,512.0,512.0)
bitmapGet(0,0,64,64,getAry)
bitmapClose()
//
hitKey(YES)
wipe()
wx=512:wy=512
bitmapOpen(wx,wy)
int i,sx,sy,ex,ey,col,h,s
for i=0 to 10
	h=rnd()*360
	s=rnd()*256
	col=hsv(h,s,255,255)
	//
	sx=rand() mod wx
	ex=rand() mod wx
	sy=rand() mod wy
	ey=rand() mod wy
	bitmapLine(sx,sy,ex,ey,col)
	//
	sx=rand() mod wx
	ex=rand() mod wx
	sy=rand() mod wy
	ey=rand() mod wy
	bitmapBox(sx,sy,ex,ey,col)
	//
	sx=rand() mod wx
	ex=rand() mod wx
	sy=rand() mod wy
	ey=rand() mod wy
	bitmapFill(sx,sy,ex,ey,col)
	//
	sx=rand() mod wx
	sy=rand() mod wy
	ex=rand() mod 100+1:// 半径 / radius
	locate(0,i):print "x,y,r=";sx,sy,ex
	bitmapCircle(sx,sy,ex,col)
	bitmapPaint(sx,sy,col)
next
bitmapPut(200,200,200+64,200+64,getAry)
bitmapImgLoad(bx,by,wx,wy):// ここのwx,wyはfloat変換される
bitmapClose()
//
hitKey(YES)
}://------------------------------------
if YES then {://------------------------------------
// bitmapImageFile()のテスト
// 存在する画像ファイル名を記述すること
wipe()
wx=512:wy=512
bitmapOpen(wx,wy)
//
bitmapImageFile("IMG1.JPG",10,10,256,256)
bitmapImgLoad(bx,by,wx,wy):// ここのwx,wyはfloat変換される
hitKey(YES)
//
bitmapImageFile("IMG2.PIC")
bitmapImgLoad(bx,by,wx,wy):// ここのwx,wyはfloat変換される
hitKey(YES)
//
bitmapImageFile("GAROU.CUT")
bitmapImgLoad(bx,by,wx,wy):// ここのwx,wyはfloat変換される
//
bitmapClose()
}://------------------------------------
//
end
//---------
func drawFractal(wx;int,wy;int,ty;int)
	locate(0,ty+0):print "wx*wy=";wx;"*";wy
	locate(0,ty+1):print "start=";time$
	//
	int MAXREP=50
	int MAXDOT=wx
	int MAXCOL=255
	float remin=-0.5#
	float remax= 0.5#
	float immin=-0.5#
	float immax= 0.5#
	float recon=-0.04#
	float imcon=-0.695#
	int rep,ix,iy
	float x,y,re,im,dx,dy
	//
	dx=(remax-remin)/MAXDOT
	dy=(immax-immin)/MAXDOT
	//
	for iy=0 to MAXDOT-1
		locate(0,ty+2):print "line=";iy
		for ix=0 to MAXDOT-1
			x=remin+ix*dx
			y=immin+iy*dy
			for rep=0 to MAXREP
				re=x*x-y*y+recon
				im=2#*x*y+imcon
				if ((re*re+im*im)>4#) then break
				x=re:y=im
			next
			int c=(rep mod MAXCOL)*4
			bitmapPset(ix,iy,c,c,c,255)
			//gcolor(c,c,c,255)
			//pset(ix,iy)
		next
	next
	locate(0,ty+2):print "end=";time$
endfunc
